<!-- HTML -->
<div class="thumb-gallery">

  <div class="w-full mb-4 thumb-gallery-main-img">
    <img class="block w-full border-4 border-white lazyload" data-src="{{ gallery|first.url|resize(1024,768) }}" alt="{{ gallery|first.title }}" />
  </div>

  <div class="flex flex-wrap -mx-2 thumb-gallery-thumbs">
    {% for item in gallery %}
      <div class="w-1/2 md:flex-1 px-2 mb-2 lg:mb-0">
        <img class="block w-full border-4 border-blue-200 hover:border-white cursor-pointer transition lazyload" data-src="{{ item.url|resize(500,400) }}" alt="{{ item.title }}" data-full-size={{ item.url|resize(1024,768) }} tabindex="0" />
      </div>
    {% endfor %}
  </div>

</div>




<!-- JS -->
<script>

// When a thumb img is selected (via click or enter)
// - change the src of the main image to the selected thumb's full size image
// - give the selected thumb some active styling


// Select all thumbnail galleries on the page
const thumbGals = document.querySelectorAll(".thumb-gallery");

thumbGals.forEach((gal) => {

  // Select all thumbs
  const allThumbs = gal.querySelectorAll('.thumb-gallery-thumbs img');

  // For each thumb, run the changeThumb function when selected
  allThumbs.forEach((thumb) => {

    thumb.addEventListener("click", (e) => { changeThumb(e) });

    thumb.addEventListener("keydown", function(e) {
      if(e.code === "Enter") {
        changeThumb(e);
      }
    });

  });

  function changeThumb(e) {
  
    // Get the full size image of the selected thumb from the element's data-full-size attribute
    const fullSize = e.target.getAttribute('data-full-size');
  
    // Replace the src value of the main image with the above variable value
    gal.querySelector('.thumb-gallery-main-img img').src = fullSize;

  }
  
});




// ----------------------------------------------------------------------------------------------------




// Select all thumbnail galleries on the page
const thumbGals = document.querySelectorAll(".thumb-gallery");

const activeClass = 'border-white';
const nonActiveClass = 'border-blue-200';

thumbGals.forEach((gal) => {

  // Select the first thumb and apply the active class to it
  const firstThumb = gal.querySelector('.thumb-gallery-thumbs img:first-of-type');

  firstThumb.classList.add(activeClass);
  firstThumb.classList.remove(nonActiveClass);

  // Select all thumbs
  const allThumbs = gal.querySelectorAll('.thumb-gallery-thumbs img');

  // For each thumb, run the changeThumb function when selected
  allThumbs.forEach((thumb) => {
    thumb.addEventListener("click", (e) => { changeThumb(e) });
    thumb.addEventListener("keydown", function(e) {
      if(e.code === "Enter") {
        changeThumb(e);
      }
    });
  });

  function changeThumb(e) {

    // Remove active classes / add non-active classes to all thumbs
    e.target.closest('.thumb-gallery-thumbs').querySelectorAll('img').forEach((img) => {
      img.classList.remove(activeClass);
      img.classList.add(nonActiveClass);
    })

    // Add active classes / remove non-active classes to selected thumb
    e.target.classList.add(activeClass);
    e.target.classList.remove(nonActiveClass);
  
    // Get the full size image of the selected thumb from the element's data-full-size attribute
    const fullSize = e.target.getAttribute('data-full-size');
  
    // Replace the src value of the main image with the above variable value
    gal.querySelector('.thumb-gallery-main-img img').src = fullSize;

  }
  
});




</script>